<table-load [ngItems]="productService.products">
    <table class="table" *ngIf="productService.products; else load">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Name</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let product of productService.products; index as i"
            (click)="onSelect(i)"
            [class.table-primary]="i == productService.selectedIndex">
            <th scope="row">{{product.id}}</th>
            <td>{{product.name}}</td>
        </tr>
        </tbody>
    </table>
</table-load>



